Functions
FLAG_Management
Peripheral Driver » LL Driver » SPI » Functions

## Functions
__STATIC_INLINE uint32_t | ll_spi_get_status (ssi_regs_t *SPIx)
| Get SPI status. More...
__STATIC_INLINE uint32_t | ll_spi_is_active_flag (ssi_regs_t *SPIx, uint32_t flag)
| Check active flag. More...
__STATIC_INLINE uint32_t | ll_spi_get_it_flag (ssi_regs_t *SPIx)
| Get SPI interrupt flags. More...
__STATIC_INLINE uint32_t | ll_spi_is_it_flag (ssi_regs_t *SPIx, uint32_t flag)
| Check interrupt flag. More...
__STATIC_INLINE uint32_t | ll_spi_get_raw_if_flag (ssi_regs_t *SPIx)
| Get SPI raw interrupt flags. More...
__STATIC_INLINE void | ll_spi_clear_flag_txo (ssi_regs_t *SPIx)
| Clear transmit FIFO overflow error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_rxo (ssi_regs_t *SPIx)
| Clear receive FIFO overflow error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_rxu (ssi_regs_t *SPIx)
| Clear receive FIFO underflow error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_mst (ssi_regs_t *SPIx)
| Clear multi-master error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_all (ssi_regs_t *SPIx)
| Clear all error flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_spi_clear_flag_all()

__STATIC_INLINE void ll_spi_clear_flag_all | ( | ssi_regs_t * | SPIx | ) |

Clear all error flag.

Note
  Clearing this flag is done by reading INTCLR register

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTCLR | INTCLR | +———————-+———————————–+ \endrst

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1932 of file gr55xx_ll_spi.h.

## ◆ ll_spi_clear_flag_mst()

__STATIC_INLINE void ll_spi_clear_flag_mst | ( | ssi_regs_t * | SPIx | ) |

Clear multi-master error flag.

Note
  Clearing this flag is done by reading MSTIC register

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSTIC | MSTIC | +———————-+———————————–+ \endrst

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1910 of file gr55xx_ll_spi.h.

## ◆ ll_spi_clear_flag_rxo()

__STATIC_INLINE void ll_spi_clear_flag_rxo | ( | ssi_regs_t * | SPIx | ) |

Clear receive FIFO overflow error flag.

Note
  Clearing this flag is done by reading RXOIC register

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXOIC | RXOIC | +———————-+———————————–+ \endrst

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1866 of file gr55xx_ll_spi.h.

## ◆ ll_spi_clear_flag_rxu()

__STATIC_INLINE void ll_spi_clear_flag_rxu | ( | ssi_regs_t * | SPIx | ) |

Clear receive FIFO underflow error flag.

Note
  Clearing this flag is done by reading RXUIC register

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RXUIC | RXUIC | +———————-+———————————–+ \endrst

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1888 of file gr55xx_ll_spi.h.

## ◆ ll_spi_clear_flag_txo()

__STATIC_INLINE void ll_spi_clear_flag_txo | ( | ssi_regs_t * | SPIx | ) |

Clear transmit FIFO overflow error flag.

Note
  Clearing this flag is done by reading TXOIC register

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TXOIC | TXOIC | +———————-+———————————–+ \endrst

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1844 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_it_flag()

__STATIC_INLINE uint32_t ll_spi_get_it_flag | ( | ssi_regs_t * | SPIx | ) |

Get SPI interrupt flags.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | INTSTAT | +———————-+———————————–+ \endrst

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one or combination of the following values: LL_SSI_IS_MST(no effect in SPIS) LL_SSI_IS_RXF LL_SSI_IS_RXO LL_SSI_IS_RXU LL_SSI_IS_TXO LL_SSI_IS_TXE

Definition at line 1768 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_raw_if_flag()

__STATIC_INLINE uint32_t ll_spi_get_raw_if_flag | ( | ssi_regs_t * | SPIx | ) |

Get SPI raw interrupt flags.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RAW_INTSTAT | RAW_INTSTAT | +———————-+———————————–+ \endrst

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one or combination of the following values: LL_SSI_RIS_MST(no effect in SPIS) LL_SSI_RIS_RXF LL_SSI_RIS_RXO LL_SSI_RIS_RXU LL_SSI_RIS_TXO LL_SSI_RIS_TXE

Definition at line 1824 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_status()

__STATIC_INLINE uint32_t ll_spi_get_status | ( | ssi_regs_t * | SPIx | ) |

Get SPI status.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT | +———————-+———————————–+ \endrst

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one or combination of the following values: LL_SSI_SR_DCOL(no effect in SPIS) LL_SSI_SR_TXE LL_SSI_SR_RFF LL_SSI_SR_RFNE LL_SSI_SR_TFE LL_SSI_SR_TFNF LL_SSI_SR_BUSY

Definition at line 1704 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_active_flag()

__STATIC_INLINE uint32_t ll_spi_is_active_flag | ( | ssi_regs_t * | SPIx,
|  | uint32_t | flag
| ) |  |

Check active flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | DCOL | +———————-+———————————–+ | STAT | TXE | +———————-+———————————–+ | STAT | RFF | +———————-+———————————–+ | STAT | RFNE | +———————-+———————————–+ | STAT | TFE | +———————-+———————————–+ | STAT | TFNF | +———————-+———————————–+ | STAT | BUSY | +———————-+———————————–+ \endrst

Parameters

  SPIx | SPI instance
  flag | This parameter can be one of the following values: LL_SSI_SR_DCOL(no effect in SPIS) LL_SSI_SR_TXE LL_SSI_SR_RFF LL_SSI_SR_RFNE LL_SSI_SR_TFE LL_SSI_SR_TFNF LL_SSI_SR_BUSY

Return values

  State | of bit (1 or 0).

Definition at line 1743 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_it_flag()

__STATIC_INLINE uint32_t ll_spi_is_it_flag | ( | ssi_regs_t * | SPIx,
|  | uint32_t | flag
| ) |  |

Check interrupt flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | MSTIS | +———————-+———————————–+ \endrst INTSTAT | RXFIS INTSTAT | RXOIS INTSTAT | RXUIS INTSTAT | TXOIS INTSTAT | TXEIS

Parameters

  SPIx | SPI instance
  flag | This parameter can be one of the following values: LL_SSI_IS_MST(no effect in SPIS) LL_SSI_IS_RXF LL_SSI_IS_RXO LL_SSI_IS_RXU LL_SSI_IS_TXO LL_SSI_IS_TXE

Return values

  State | of bit (1 or 0).

Definition at line 1799 of file gr55xx_ll_spi.h.